#include <iostream>
using namespace std;
long long najv(long long x,long long x1,long long x2,long long x3,long long x4,long long x5)
{
    long long max;
    max=x;
    if (x1>max)
        max=x1;
    if (x2>max)
        max=x2;
    if (x3>max)
        max=x3;
    if (x4>max)
        max=x4;
    if (x5>max)
        max=x5;
    return max;
}
int main ()
{
    long long s, a, b, c, x, x1, x2, x3, x4, x5, y, y1, y2, y3, y4, y5, max;
    cin>>a>>b>>c;
    s=1;
    while (s<=a)
        s*=10;
    x=s*b+a;
    s=1;
    while (s<=x)
        s*=10;
    y=s*c+x;
    s=1;
    while (s<=a)
        s*=10;
    x1=s*c+a;
    s=1;
    while (s<=x1)
        s*=10;
    y1=s*b+x1;
    s=1;
    while (s<=b)
        s*=10;
    x2=a*s+b;
    s=1;
    while (s<=x2)
        s*=10;
    y2=s*c+x2;
    s=1;
    while (s<=b)
        s*=10;
    x3=c*s+b;
    s=1;
    while (s<=x3)
        s*=10;
    y3=s*a+x3;
    s=1;
    while (s<=c)
        s*=10;
    x4=a*s+c;
    s=1;
    while (s<=x4)
        s*=10;
    y4=s*b+x4;
    s=1;
    while (s<=c)
        s*=10;
    x5=b*s+c;
    s=1;
    while (s<=x5)
        s*=10;
    y5=s*a+x5;
    max=najv(y, y1, y2, y3, y4, y5);
    cout<<max<<endl;

}